Subject: Re: [PATCH] strvec: use correct member name in comments

From: Linus Arver <[email-masked]>
Date: Fri, 12 Jan 2024 10:04:43 -0800

Jeff King <[email-masked]> writes:

> The source of the problem is that the patch originally used
> "items" in the struct, too

Ah, that makes sense.

> As you note, we still call use "items" for the vector passed in to
> pushv. I think that is OK, and there is no real need to use the terse
> "v" there (it is also purely internal; the declaration in strvec.h does
> not name it at all).

Indeed. Perhaps I should have included this in my commit message.

Side note: should we start naming the parameters in strvec.h? I would
think that it wouldn't hurt at this point (as the API is pretty stable).
If you think that's worth it, I could reroll to include that in this
series (and also improve my commit message for this patch).